Subject: Re: [rohc] SigComp byte copying question

From: suman <[email-masked]>
Date: Thu, 01 Apr 2004 09:40:27 +0530

hi Stefan,

   If the first address of a byte-copying instruction is byte_copy_right,
then the first byte is copied at byte_copy_right, and the next byte if
copied at byte_copy_left.

thanks
suman

----- Original Message -----
From: "Stefan Foeckel" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, April 01, 2004 3:02 AM
Subject: [rohc] SigComp byte copying question

Hello,

I am looking for some clarification regarding byte copying in SigComp.

Section 8.4 RFC 3320 states:

"... if a byte is copied from/to Address m then the next byte is
copied from/to Address n where n is calculated as follows:

k := m + 1 (modulo 2^16)
If k = byte_copy_right then set n := byte_copy_left, else set n := k
..."

What is the expected destination address, if the first address of a
byte-copying instruction is byte_copy_right ? I would assume it is not
byte_copy_left. Am I right ?

Thanks in advance.
Stefan

--
Mit freundlichen Grüssen         Phone: +49 30 34637141
Stefan Foeckel                   Fax  : +49 30 34638141
http://www.fokus.fraunhofer.de   ICQ  : 46655019

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc